# Loki::CreateUsingMalloc< T > Struct Template Reference
[Creation policies]

`#include <Singleton.h>`

List of all members.

## Detailed Description

### template<class T>
struct Loki::CreateUsingMalloc< T >

Implementation of the CreationPolicy used by SingletonHolder Creates objects using a call to std::malloc, followed by a call to the placement new operator

The documentation for this struct was generated from the following file:

- Singleton.h